### Class

# Ggit RevisionWalker

#### Description [src]

    class Ggit.RevisionWalker : Ggit.Native
      implements Gio.Initable {
      /* No available fields */
    }

Represents a revision walker.

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Implements

- GInitable

#### Constructors

###### ggit_revision_walker_new

Creates a new revision walker to iterate through `repository`.

#### Instance methods

###### ggit_revision_walker_get_repository

Gets the repository on which this walker is operating.

###### ggit_revision_walker_hide

Marks a commit (and its ancestors) uninteresting for the output.

###### ggit_revision_walker_hide_glob

Hide all OIDs pointed to by references that match the given glob pattern to the revsision walker. A leading ‘refs/’ is implied if not present, as well as a trailing ‘/ \ ‘ if the glob lacks ‘?’, ‘\ ‘ or ‘[‘.

###### ggit_revision_walker_hide_head

Hide the OID of the current HEAD to the revision walker.

###### ggit_revision_walker_hide_ref

Hide the OID pointed to by the named reference to the revision walker.

###### ggit_revision_walker_next

Gets the next commit from the revision walk.

###### ggit_revision_walker_push

Marks a commit to start traversal from.

###### ggit_revision_walker_push_glob

Push all OIDs pointed to by references that match the given glob pattern to the revsision walker. A leading ‘refs/’ is implied if not present, as well as a trailing ‘/ \ ‘ if the glob lacks ‘?’, ‘\ ‘ or ‘[‘.

###### ggit_revision_walker_push_head

Push the OID of the current HEAD to the revision walker.

###### ggit_revision_walker_push_range

Push and hide the respective endpoints of the given range. The range should be of the form: &ltcommit&gt..<commit>, where each <commit> is in the form accepted by revparse. The left-hand commit will be hidden and the right-hand commit pushed.

###### ggit_revision_walker_push_ref

Push the OID pointed to by the named reference to the revision walker.

###### ggit_revision_walker_reset

Resets the revision walker for reuse.

###### ggit_revision_walker_set_sort_mode

Change the sorting mode when iterating through the repository’s contents.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Ggit.RevisionWalker:repository

No description available.

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitRevisionWalkerClass {
      /* no available fields */
    }

The class structure for `GgitRevisionWalkerClass`.